# List Account Groups

`GET /api/2.0/accounts/{account_id}/scim/v2/Groups`

Gets all details of the groups associated with the <Databricks> account. As of 08/22/2025,
 this endpoint will no longer return members. Instead, members should be retrieved by
 iterating through `Get group details`. Existing accounts that rely on this attribute
 will not be impacted and will continue receiving member data as before.

API scopes: scim

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID

## Query parameters

- `filter` (string, optional)
  Query by which the results have to be filtered. Supported operators are equals(`eq`), contains(`co`), starts with(`sw`) and not equals(`ne`). Additionally, simple expressions can be formed using logical operators - `and` and `or`. The [SCIM RFC](https://tools.ietf.org/html/rfc7644#section-3.4.2.2) has more details but we currently only support simple expressions.
- `attributes` (string, optional)
  Comma-separated list of attributes to return in response.
- `excludedAttributes` (string, optional)
  Comma-separated list of attributes to exclude in response.
- `startIndex` (int64, optional)
  Specifies the index of the first result. First item is number 1.
- `count` (int64, optional)
  Desired number of results per page. Default is 10000.
  Constraints: `<= 100`
- `sortBy` (string, optional)
  Attribute to sort the results.
- `sortOrder` (string, optional)
  The order to sort the results.
  Possible values: `ORDER_UNSPECIFIED`, `ASCENDING`, `DESCENDING`

## Returns

- `itemsPerPage` (int32, optional)
  Total results returned in the response.
- `Resources` (array of object, optional)
  User objects returned in the response.
  - `displayName` (string, optional)
    String that represents a human-readable group name
  - `externalId` (string, optional)
    external_id should be unique for identifying groups
    Constraints: `<= 64 characters`
  - `id` (string, optional)
    <Databricks> group ID
  - `members` (array of object, optional)
    - `display` (string, optional)
    - `primary` (boolean, optional)
    - `$ref` (string, optional)
    - `type` (string, optional)
    - `value` (string, optional)
  - `roles` (array of object, optional)
    Indicates if the group has the admin role.
    - `display` (string, optional)
    - `primary` (boolean, optional)
    - `$ref` (string, optional)
    - `type` (string, optional)
    - `value` (string, optional)
  - `account_id` (string, optional)
    <Databricks> account ID
- `startIndex` (int64, optional)
  Starting index of all the results that matched the request filters. First item is number 1.
  Default: `1`
- `totalResults` (int32, optional)
  Total results that match the request filters.

## Response

```json
{
  "itemsPerPage": 0,
  "Resources": [
    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {}
      ],
      "roles": [
        {}
      ],
      "account_id": "string"
    }
  ],
  "startIndex": 0,
  "totalResults": 0
}
```

